Content-Security-Policy: default-src 'none'
Content-Type: text/plain; charset=UTF-8
Content-Length: 3286
Content-Disposition: inline; filename="phabricator.scm"
Last-Modified: Tue, 11 Feb 2025 03:46:27 GMT
Expires: Fri, 09 Feb 2035 03:46:27 GMT
ETag: "df9b369506b0abcac1f17584743871fad383f37b"

;;; GNU Guix --- Functional package management for GNU
;;; Copyright © 2018 Robin Templeton <robin@igalia.com>
;;; Copyright © 2020 Efraim Flashner <efraim@flashner.co.il>
;;;
;;; This file is part of GNU Guix.
;;;
;;; GNU Guix is free software; you can redistribute it and/or modify it
;;; under the terms of the GNU General Public License as published by
;;; the Free Software Foundation; either version 3 of the License, or (at
;;; your option) any later version.
;;;
;;; GNU Guix is distributed in the hope that it will be useful, but
;;; WITHOUT ANY WARRANTY; without even the implied warranty of
;;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;; GNU General Public License for more details.
;;;
;;; You should have received a copy of the GNU General Public License
;;; along with GNU Guix.  If not, see <http://www.gnu.org/licenses/>.

(define-module (gnu packages phabricator)
  #:use-module (gnu packages php)
  #:use-module (gnu packages version-control)
  #:use-mo</td></tr></table>
<table class='tabs'><tr><td>
<a class='active' href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=6f6aec4968baa676f699156f5f62b37765b03174'>refs</a><a href='/guix/log/'>log</a><a href='/guix/tree/?id=6f6aec4968baa676f699156f5f62b37765b03174'>tree</a><a href='/guix/commit/?id=6f6aec4968baa676f699156f5f62b37765b03174'>commit</a><a href='/guix/diff/?id=6f6aec4968baa676f699156f5f62b37765b03174'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/'>
<input type='hidden' name='id' value='6f6aec4968baa676f699156f5f62b37765b03174'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='content'><div id='summary'><pre>
# This is a &quot;service unit file&quot; for the systemd init system to launch
# &apos;guix publish&apos;.  Drop it in /etc/systemd/system or similar to have
# &apos;guix publish&apos; automatically started.

[Unit]
Description=Publish the GNU Guix store
Requires=guix-daemon.service
PartOf=guix-daemon.service
After=guix-daemon.service

[Service]
ExecStart=@localstatedir@/guix/profiles/per-user/root/current-guix/bin/guix publish --user=nobody --port=8181
Environment=&apos;GUIX_LOCPATH=@localstatedir@/guix/profiles/per-user/root/guix-profile/lib/locale&apos; LC_ALL=en_US.utf8
StandardOutput=journal
StandardError=journal

# Despite the name, this is rate-limited: a broken daemon will eventually fail.
Restart=always

# See &lt;https://lists.gnu.org/archive/html/guix-devel/2016-04/msg00608.html&gt;.
TasksMax=1024

[Install]
WantedBy=multi-user.target
</pre>
</div></div> <!-- class=content -->
                         <div class=footer>generated by
                             <a href="https://git.zx2c4.com/cgit/about/">
                                 cgit
                             </a>
                         </div>
                        </div> <!-- id=cgit -->
</body>
</html>
us other things.")
      ;; Bundled libraries are expat-licensed.
      (license (list license:asl2.0 license:expat)))))
